#!/bin/bash 

# Convert $1, eggdoc->html scheme source, to svnwiki
# output using eggdoc-svnwiki

OUTDIR=output

die() {
  echo $* 1>&2
  exit 1
}

mkdir -p $OUTDIR

for file in $*; do
	echo $file
csi -R eggdoc-svnwiki \
	-I input -e '(eggdoc:svnwiki-override!)' \
	-script $file > $OUTDIR/`basename $file`.svnwiki  || die
done

